@import url('https://fonts.googleapis.com/css?family=Baloo+Bhaina|Bree+Serif|Fondamento');


:root {
	--color-black: #333;
	--color-white: #eee;
}


body {
	font-family: 'Bree Serif', serif;
	font-size: large;
	color: var(--color-black);
	overflow-x: hidden;
}

select, input {
	color: var(--color-black);
}

textarea {
  width: 100%;
}

textarea:focus, input:focus{
  outline: none;
}

nav {
	padding-top: 55px;
	width: 100%;
	padding: 0px 0px;
	min-height: 20px !important;
	background-color: #abacab;
	text-align: center;
  max-width: 100vw;
  right: unset !important;
  margin-bottom: 0 !important;
}

section {
	width: 80vw;
	margin: 3rem auto 5rem;
}

@media screen and (min-width: 1200px) {
	section {
		width: 60vw;
	}
}

nav.navbar-bottom {
	color: var(--color-white);
	background: linear-gradient(to right,
    transparent 0%,
    rgba(0,110,46) 30%,
    rgba(0,110,46) 70%,
    transparent 100%
  ); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
  position: fixed;
  bottom: 0;
}

.padding-tb {
	padding-top: 0;
	padding-bottom: 0;
}

.padding-lr {
  padding-left: 0px;
  padding-right: 0px;
}

.links {
	padding-top: 30px;
}

.margin0 {
	margin: 0;
}

footer {
	margin-top: 20px !important;
}

.margin-bottom {
  margin-bottom: 20px;
}

form {
  margin-bottom: 0 !important;
}

.form-control {
  margin-bottom: 10px !important;
}

.form-control.col-xs-6 {
  width: 50%;
}

.form-control.col-xs-4 {
	width: 33.333333%;
}

.properties {
	padding-top: 10px;
	padding-bottom: 10px;
}

.properties:nth-of-type(1) {
	text-align: left;
}

.properties:nth-of-type(2) {
	text-align: center;
}

.properties:nth-of-type(3) {
	text-align: right;
}

#modal-price-container {
	position: absolute;
	right: 0;
	top: 0;
	margin: 15px;
	font-size: 200% !important;
}

#modal-price {
	max-width: 12rem;
}

.modal-content {
	border: none;
}

.modal-arrows {
	margin-top: 5rem;
	width: 100%;
	position: absolute;
	text-align: center;
}

#leftArrow {
	margin-right: 480px;
}

.modal-properties {
	height: 45px;
}

#modal-height, #modal-sun, #modal-moisture {
	max-width: 8rem;
}

#modal-names {
	max-width: 450px;
}

#modal-names-pl, #modal-names-odm-container {
	font-size: 3rem;
}

#modal-names-lat {
	font-style: italic;
}

#modal-image-button {
	float: left;
}

.button-green {
	background-color: #70af1a;
}

.button-green:hover {
	color: var(--color-black);
	background-color: #b9d40b;
}

.nav-top {
	background: linear-gradient(rgba(2, 105, 2, 0.6) 0%, rgba(2, 105, 2, 0.6) 80%, rgba(2, 105, 2, 0.01) 100%);
}

.navbar-default .navbar-nav>li>a {
	color: var(--color-white);
}

.navbar-fixed-top {
	border-width: 0px;
}

nav>div>div>ul>li:hover {
	color: var(--color-white);
	background-color: rgba(20, 150, 20, 0.8);
}

#navbar-logo {
	float: left;
	margin: 1rem;
}

.navbar-nav {
	position: relative;
	top: 5.5rem;
	left: 2rem
}

.navbar-default .navbar-nav>li:hover {
	background: rgba(255, 255, 255, 0.25);
}

.navbar-default .navbar-nav>li>a:hover {
  color: #eee;
}

#navbar-logo, #navbar-logo-img, .navbar-nav, .nav-top {
	transition: 1s;
}

#navbar-logo-img {
	height: 16rem;
	width: 26rem;
}

.navbar-smaller {
	background: rgba(2, 105, 2, 0.6);
}

.navbar-smaller #navbar-logo {
	height: 5rem;
	margin: 0 1rem;
}

.navbar-smaller #navbar-logo-img {
	width: 7.625rem;
	height: 5rem;
}

.navbar-smaller .navbar-nav {
	top: 0;
}

table {
	font-size: large !important;
}

.btnPrev, .btnNext {
	width: 30px;
	height: 30px;
	background: var(--color-white);
	margin: 5px;
}

#banner {
	box-shadow: 0 0 20px black;
	margin-bottom: 20px;
  width: 100vw;
}

.dropdown-content {
	display: none;
	position: absolute;
	width: 30rem;
	background: rgba(2, 105, 2, 0.7);
}

@media(max-width: 768px) {
	.dropdown-content {
		position: static;
	}

	.navbar-nav {
		margin: 0;
	}
}

.dropdown-content .dropdown-item {
	display: block;
	color: var(--color-white);
	padding: 0.5rem 1rem;
	text-align: left;
}

.dropdown-content .dropdown-item:hover {
	background: rgba(20, 150, 20, 0.8);
}

.dropdown:hover .dropdown-content {
	display: block;
}

.justify {
  text-align: justify;
  text-justify: inter-word;
}

.plantsContainer {
	display: grid;
	grid-template-columns: 1fr;
}

@media screen and (min-width: 600px) {
	.plantsContainer {
		grid-template-columns: 1fr 1fr;
	}
}

@media screen and (min-width: 1100px) {
	.plantsContainer {
		grid-template-columns: 1fr 1fr 1fr;
	}
}

.plantsElement {
	margin: 1em;
}

.plantsElement .image {
	width: 100%;
	height: 30rem;
	background-size: cover;
  background-position: center;
}

.plantsElement .namePl, .plantsElement .nameOdm {
	font-size: 1.5em;
}

.plantsElement .nameLat {
	font-size: 1em;
}

.textGreen {
	color: green;
}

.textRed {
	color: red;
}

#categoryHeading {
	margin-top: -0.5rem;
	margin-bottom: 1rem;
}

#searchButton {
	max-height: 31px;
	border: 1px solid gray;
	padding: 2px;
	margin-top: -3px;
	border-radius: 3px;
	cursor: pointer
}

#leftArrow, #rightArrow {
	background: rgba(0, 0, 0, 0.3);
	border-radius: 5px;
}

#leftArrow:hover, #rightArrow:hover {
	background: rgba(0, 0, 0, 0.7);
}

.preventSelect {
	user-select: none;
}

.paragraph {
	position: relative;
	width: 100%;
	border-radius: 2rem;
	box-shadow: 0px 8px 24px 0px rgba(0, 0, 0, 0.69);
	overflow: hidden;
	margin-bottom: 4rem;
}

@keyframes slide-in {
	0% {
		opacity: 0;
		transform: translateX(100vw);
	}
	100% {
		opacity: 1;
		transform: translateX(0);
	}
}

.paragraph-animate {
	animation-name: slide-in;
	animation-duration: 1s;
	animation-iteration-count: 1;
}

.paragraph .image {
	float: left;
	width: 30%;
	height: 35rem;
	background-size: cover;
}

.paragraph .header {
	position: relative;
	margin-top: 1.5rem;
}

.paragraph .title {
	font-size: 3rem;
	text-indent: 3rem;
}

.paragraph .link {
	position: absolute;
	right: 2rem;
	top: 1rem;
	font-size: 2rem;
}

.paragraph .content {
	margin-top: 2rem;
	padding: 2rem;
	border-top: 1px solid gray;
	text-align: justify;
	text-indent: 3rem;
}

#home_paragraph_title_input {
	width: 100%;
	font-size: 3rem;
}

#toast-container {
  position: fixed;
  right: 0;
  top: 0;
  margin: 2rem;
  z-index: 9999;
}

.toast {
  width: 50rem;
  max-width: calc(100vw - 4rem);
	max-height: calc(100vh - 4rem);
	overflow-y: scroll;
  padding: 1rem;
  border-radius: 0.5rem;
  margin-bottom: 1rem;
}

.toast-default {
  background: #eee;
}

.toast-success {
  color: #155724;
  background-color: #d4edda;
}

.toast-warning {
  color: #856404;
  background-color: #fff3cd;
}

.toast-error {
  color: #721c24;
  background-color: #f8d7da;
}

.toast-title {
  font-weight: bold;
  font-size: 2rem;
  border-bottom: 1px solid gray;
  margin-bottom: 1rem;
  padding-bottom: 0.5rem
}

.h1 {
	width: 100%;
}

#plantsLoadingSpinner {
	margin: 5rem 0;
	text-align: center;
}


#plantsLoadingSpinner img {
	width: 15vw;
}

#backToTopButton {
	position: fixed;
	right: 2.5rem;
	bottom: 5rem;
	padding: 1rem;
	background: rgba(2, 105, 2, 0.7);
	border-radius: 1rem;
	cursor: pointer;
	max-height: 7rem;
}

#backToTopButton:hover {
	padding: 1.2rem;
	max-height: 7.4rem;
	right: 2.3rem;
	bottom: 4.8rem;
}

#backToTopButton span {
	color: #eee;
	height: 5rem;
	font-size: 3rem;
	position: relative;
	top: -1.5rem;
	margin-right: 1rem;
}

#modal-available-label {
  padding-left: 0.5rem;
  padding-right: 1rem;
}
